com.unitech.lib.uhf.types

## Enum IncludeReplyLength

- java.lang.Object
- - java.lang.Enum<IncludeReplyLength>
  - - com.unitech.lib.uhf.types.IncludeReplyLength

- All Implemented Interfaces:
    Serializable, Comparable<IncludeReplyLength>

      public enum IncludeReplyLength
      extends Enum<IncludeReplyLength>

  Enum representing the inclusion of reply length in a response.

  This enum is used to specify whether the length of the reply should be included in the response. It includes two options: omitLength and includeLength, each with a corresponding code and description.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `includeLength`
    `omitLength`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static IncludeReplyLength` | `fromValue(int code)`
    `int` | `getCode()`
    `String` | `toString()`
    `static IncludeReplyLength` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static IncludeReplyLength[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### omitLength

          public static final IncludeReplyLength omitLength

    - #### includeLength

          public static final IncludeReplyLength includeLength

  - ### Method Detail

    - #### values

          public static IncludeReplyLength[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (IncludeReplyLength c : IncludeReplyLength.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static IncludeReplyLength valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getCode

          public int getCode()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<IncludeReplyLength>`

    - #### fromValue

          public static IncludeReplyLength fromValue(int code)